Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Data Fields
H5VL_native_file_optional_args_t Union Reference

`#include <src/H5VLnative.h>`

## Data Fields
struct { |
haddr_t * eoa |
} | get_eoa |
H5VL_native_file_get_file_image_t | get_file_image
H5VL_native_file_get_free_sections_t | get_free_sections
H5VL_native_file_get_freespace_t | get_freespace
H5VL_native_file_get_info_t | get_info
struct { |
H5AC_cache_config_t * config |
} | get_mdc_config |
struct { |
double * hit_rate |
} | get_mdc_hit_rate |
H5VL_native_file_get_mdc_image_info_t | get_mdc_image_info
H5VL_native_file_get_mdc_logging_status_t | get_mdc_logging_status
H5VL_native_file_get_mdc_size_t | get_mdc_size
struct { |
H5F_retry_info_t * info |
} | get_metadata_read_retry_info |
struct { |
bool * minimize |
} | get_min_dset_ohdr_flag |
struct { |
bool * flag |
} | get_mpi_atomicity |
H5VL_native_file_get_page_buffering_stats_t | get_page_buffering_stats
struct { |
hsize_t * size |
} | get_size |
H5VL_native_file_get_vfd_handle_t | get_vfd_handle
struct { |
hsize_t increment |
} | increment_filesize |
H5VL_native_file_set_libver_bounds_t | set_libver_bounds
struct { |
const H5AC_cache_config_t * config |
} | set_mdc_config |
struct { |
bool minimize |
} | set_min_dset_ohdr_flag |
struct { |
bool flag |
} | set_mpi_atomicity |

## Field Documentation

## ◆ config [1/2]

H5AC_cache_config_t* config

## ◆ config [2/2]

const H5AC_cache_config_t* config

## ◆ eoa

haddr_t* eoa

## ◆ flag [1/2]

bool* flag

## ◆ flag [2/2]

bool flag

## ◆ [struct]

struct { ... } get_eoa

## ◆ get_file_image

H5VL_native_file_get_file_image_t get_file_image

## ◆ get_free_sections

H5VL_native_file_get_free_sections_t get_free_sections

## ◆ get_freespace

H5VL_native_file_get_freespace_t get_freespace

## ◆ get_info

H5VL_native_file_get_info_t get_info

## ◆ [struct]

struct { ... } get_mdc_config

## ◆ [struct]

struct { ... } get_mdc_hit_rate

## ◆ get_mdc_image_info

H5VL_native_file_get_mdc_image_info_t get_mdc_image_info

## ◆ get_mdc_logging_status

H5VL_native_file_get_mdc_logging_status_t get_mdc_logging_status

## ◆ get_mdc_size

H5VL_native_file_get_mdc_size_t get_mdc_size

## ◆ [struct]

struct { ... } get_metadata_read_retry_info

## ◆ [struct]

struct { ... } get_min_dset_ohdr_flag

## ◆ [struct]

struct { ... } get_mpi_atomicity

## ◆ get_page_buffering_stats

H5VL_native_file_get_page_buffering_stats_t get_page_buffering_stats

## ◆ [struct]

struct { ... } get_size

## ◆ get_vfd_handle

H5VL_native_file_get_vfd_handle_t get_vfd_handle

## ◆ hit_rate

double* hit_rate

## ◆ increment

hsize_t increment

## ◆ [struct]

struct { ... } increment_filesize

## ◆ info

H5F_retry_info_t* info

## ◆ minimize [1/2]

bool* minimize

## ◆ minimize [2/2]

bool minimize

## ◆ set_libver_bounds

H5VL_native_file_set_libver_bounds_t set_libver_bounds

## ◆ [struct]

struct { ... } set_mdc_config

## ◆ [struct]

struct { ... } set_min_dset_ohdr_flag

## ◆ [struct]

struct { ... } set_mpi_atomicity

## ◆ size

hsize_t* size

The documentation for this union was generated from the following file:

- src/H5VLnative.h